from setuptools import setup, find_packages, find_namespace_packages

MAJOR = 0
MINOR = 0
MICRO = 4
VERSION = "%d.%d.%d" % (MAJOR, MINOR, MICRO)

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name="markkk",
    version=VERSION,
    author="Mark Huang",
    author_email="mark.h.huang@gmail.com",
    description="Python convenient utilities for personal usage",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/MarkHershey/python-utils",
    package_dir=({"": "src"}),
    packages=find_packages(where="src"),
    install_requires=[""],
    extras_require={"dev": ["pytest", "tox"]},
    # Classifiers ref: https://pypi.org/classifiers/
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Natural Language :: English",
        "Framework :: tox",
        "Framework :: Pytest",
    ],
    python_requires=">=3.6",
)
